<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "employer".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Employer".
 *
 * Columns in table "employer" available as properties of the model,
 * followed by relations of table "employer" available as properties of the model.
 *
 * @property integer $employer_id
 * @property integer $alt_name_id
 * @property integer $network_id
 * @property string $name
 * @property string $alt_name
 * @property string $ir_number
 *
 * @property Network $network
 */
abstract class BaseEmployer extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'employer';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'Employer|Employers', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('employer_id, alt_name_id, name, ir_number', 'required'),
            array('employer_id, alt_name_id, network_id', 'numerical', 'integerOnly' => true),
            array('name, alt_name', 'length', 'max' => 150),
            array('ir_number', 'length', 'max' => 8),
            array('network_id, alt_name', 'default', 'setOnEmpty' => true, 'value' => null),
            array('employer_id, alt_name_id, network_id, name, alt_name, ir_number', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'network' => array(self::BELONGS_TO, 'Network', 'network_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'employer_id' => Yii::t('app', 'Employer'),
            'alt_name_id' => Yii::t('app', 'Alt Name'),
            'network_id' => null,
            'name' => Yii::t('app', 'Name'),
            'alt_name' => Yii::t('app', 'Alt Name'),
            'ir_number' => Yii::t('app', 'Ir Number'),
            'network' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('employer_id', $this->employer_id);
        $criteria->compare('alt_name_id', $this->alt_name_id);
        $criteria->compare('network_id', $this->network_id);
        $criteria->compare('name', $this->name, true);
        $criteria->compare('alt_name', $this->alt_name, true);
        $criteria->compare('ir_number', $this->ir_number, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
